import { ElementRef } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { ItemVariant, Product } from 'projects/simpo-ui/src/public-api';
import { MessageService } from 'primeng/api';
import { CartService } from '../../services/cart.service';
import * as i0 from "@angular/core";
export declare class VideoShowcaseComponent {
    dialogRef: MatDialogRef<VideoShowcaseComponent>;
    listItemdata: any;
    private readonly messageService;
    private readonly cartService;
    constructor(dialogRef: MatDialogRef<VideoShowcaseComponent>, listItemdata: any, messageService: MessageService, cartService: CartService);
    videoPlayer: ElementRef<HTMLVideoElement>;
    ngOnInit(): void;
    videoMuted: boolean;
    videoUrl: string;
    currentIndex: number;
    productsList: any[];
    private USER_WISHLIST;
    private USER_CART;
    closeDialog(): void;
    playNextVideo(): void;
    playPreviousVideo(): void;
    getItemVarient(product: Product, varientId: string): ItemVariant | null;
    toggleItemToFav(event: PointerEvent | MouseEvent, product: Product, type: 'ADD' | 'REMOVE'): void;
    isItemOutOfStock(product: Product): boolean;
    addItemToCart(event: PointerEvent | MouseEvent, product: Product, type: 'ADD' | 'SUBSTRACT'): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<VideoShowcaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VideoShowcaseComponent, "simpo-video-showcase", never, {}, {}, never, never, true, never>;
}
